﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@model CyberaniumModels.RiskAssessment

<style>
    .centerbox .cardbtn {
        width: 330px;
    }

    a:hover {
        color: white;
        cursor: pointer;
    }
</style>
<section>
    <div class="right_section">
        @Html.HiddenFor(x => x.OrgId)
        <div class="pb-2 mt-3 mb-2 border-bottom box_title pl-4">
            Risk Assessment for @Model.CategoryName
            <a data-ajax="true" class="backtolist" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="AssEnabler" asp-controller="IRA" asp-area="ApplicationManagement" asp-route-orgId="@Model.OrgId" asp-route-orgName="@Model.OrgName">Back to Menu</a>
        </div>
        <div class="col-lg-12 col-md-8 col-sm-8 col-xs-8">
            <div class="right_panel">
                <div class="right_content">
                    <div class="centerbox">
                        <div class="cardbtn">
                            <a href="#" onclick="$.get('/ApplicationManagement/RiskAssessment/ThreatProbabilityScore', { orgId:@Model.OrgId, conCatId:@Model.CategoryId, questionnaireId:@Model.QuestionnaireID, enablerName: '@Model.CategoryName'  }, res=> $('#ajaxresult').html(res))">
                                <div class="cardbtnIn">
                                    <div class="cardbtnimg">
                                        <img src="~/Image/CreateOrganogram/ThreatProbablity.png" />
                                    </div>
                                    <div class="cardbtntext">Threat Probability Score</div>
                                </div>
                            </a>
                        </div>
                        <div class="cardbtn">
                            <a href="#" onclick="$.get('/ApplicationManagement/RiskAssessment/PerformCtrlAssessment', { orgId:@Model.OrgId, CategoryId:@Model.CategoryId, QuestionnaireID:@Model.QuestionnaireID, EnablerName: '@Model.CategoryName'  }, function (res) { $('#ajaxresult').html(res) })">
                                <div class="cardbtnIn">
                                    <div class="cardbtnimg">
                                        <img src="~/Image/CreateOrganogram/PerformControlAssessment.png" />
                                    </div>
                                    <div class="cardbtntext">Perform Control Assessment</div>
                                </div>
                            </a>
                        </div>
                        <div class="cardbtn">
                            <a href="#" onclick="$.get('/ApplicationManagement/RiskAssessment/AssessmentReport', { orgId:@Model.OrgId, CategoryId:@Model.CategoryId, QuestionnaireID:@Model.QuestionnaireID, EnablerName: '@Model.CategoryName'  }, function (res) { $('#ajaxresult').html(res) })">
                                <div class="cardbtnIn">
                                    <div class="cardbtnimg">
                                        <img src="~/Image/CreateOrganogram/AssessmentReport.png" />
                                    </div>
                                    <div class="cardbtntext">Assessment Report</div>
                                </div>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>